package com.arrebol.taxiservicios.model.admin;

import com.arrebol.taxiservicios.model.catalog.Color;
import com.arrebol.taxiservicios.model.core.*;
import com.arrebol.taxiservicios.model.catalog.Location;
import com.arrebol.taxiservicios.model.catalog.Vehicle;
import com.arrebol.taxiservicios.model.enums.BasicType;
import com.arrebol.taxiservicios.model.enums.GenericEnumType;
import com.arrebol.taxiservicios.model.enums.PaymentType;
import com.arrebol.taxiservicios.model.enums.PersonType;
import com.arrebol.taxiservicios.model.enums.TypeSale;
import java.io.Serializable;
import java.util.Date;
import java.util.HashSet;
import java.util.Set;

/**
 *
 * @author Picasso
 */
public class SaleGeneralPublic implements Serializable {

    private static final long serialVersionUID = -3142909516651108510L;

    private String id;
    private GeneralPublic generalPublic;
    private Float km;
    private Float kmMaintenance;
    private double adeudo;
    private double amount;
    private BasicType activeStatus;
    private TypeSale typeSale;
    
    private User createdBy;
    private Date createdOn;
    private User lastUpdatedBy;
    private Date lastUpdatedOn;
    
    

    public SaleGeneralPublic() {
    }

    public SaleGeneralPublic(String id) {
        this.id = id;
    }
    
    

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public GeneralPublic getGeneralPublic() {
        return generalPublic;
    }

    public void setGeneralPublic(GeneralPublic generalPublic) {
        this.generalPublic = generalPublic;
    }

    public Float getKm() {
        return km;
    }

    public void setKm(Float km) {
        this.km = km;
    }

    public Float getKmMaintenance() {
        return kmMaintenance;
    }

    public void setKmMaintenance(Float kmMaintenance) {
        this.kmMaintenance = kmMaintenance;
    }

    public double getAdeudo() {
        return adeudo;
    }

    public void setAdeudo(double adeudo) {
        this.adeudo = adeudo;
    }

    public double getAmount() {
        return amount;
    }

    public void setAmount(double amount) {
        this.amount = amount;
    }

    public BasicType getActiveStatus() {
        return activeStatus;
    }

    public void setActiveStatus(BasicType activeStatus) {
        this.activeStatus = activeStatus;
    }

    public TypeSale getTypeSale() {
        return typeSale;
    }

    public void setTypeSale(TypeSale typeSale) {
        this.typeSale = typeSale;
    }

    public User getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(User createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public User getLastUpdatedBy() {
        return lastUpdatedBy;
    }

    public void setLastUpdatedBy(User lastUpdatedBy) {
        this.lastUpdatedBy = lastUpdatedBy;
    }

    public Date getLastUpdatedOn() {
        return lastUpdatedOn;
    }

    public void setLastUpdatedOn(Date lastUpdatedOn) {
        this.lastUpdatedOn = lastUpdatedOn;
    }

    

}
